using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            int x = 10, y;
            try
            {
                y = Int32.Parse(textBox1.Text);
                MessageBox.Show((x / y).ToString());
                return;
            }
            catch (DivideByZeroException)
            {
                MessageBox.Show("تقسیم بر صفر");
            }
            catch (FormatException ex)
            {
                MessageBox.Show(ex.Message);
            }
            finally
            {
                MessageBox.Show("Test");
            }
        }
    }
}
